
// ###########################################################################
//
//  This is the English language DLL for UOCM.
//
//  Created from the German example language DLL (by Darus)
//
//  Based upon DLL Source Code Version 1.1
//  Version number retained for compatibility.
//
//  Translator: Myrathi <tjh@myrathi.co.uk>
//  Translated: Monday 23, April 2001
//
// ###########################################################################

//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void*)
{
 return 1;
}
//---------------------------------------------------------------------------

// ###########################################################################
// MainInformation
// ###########################################################################

ShortString __export Developer="Myrathi";
ShortString __export Language="English";
ShortString __export Version="1.1";

// ###########################################################################
// MainForm
// #########################################################################=##

ShortString __export ConfigurationCaption="Configuration";
ShortString __export AboutCaption="About";
ShortString __export ExitCaption="Exit";
unsigned int __export BackGroundColor=0x000000; // Black
unsigned int __export LeftPanelColor=clGray;
unsigned int __export TextBoxBackGround=clSilver;
unsigned int __export TextBoxFontColor=clNavy;

// ###########################################################################
// Autopatch Messages
// ###########################################################################

ShortString __export Autopatch_Title="*************** CLIENT UPDATE ***************";
ShortString __export Autopatch_ConfigProxy="Configure Proxy";
ShortString __export Autopatch_ReadingVersionInfo="Reading Version Information......";

ShortString __export Autopatch_BaseNewPatchAvailable="There is a new base Patch available";
ShortString __export Autopatch_BaseDownloadingArchiv="Downloading file......";
ShortString __export Autopatch_BaseDownloadSuccessfull="Download successful";
ShortString __export Autopatch_BaseDecompressData="Decompressing Data";
ShortString __export Autopatch_BaseDecompessionSuccessfull="Decompression complete";
ShortString __export Autopatch_BaseDecompessionUnSuccessfull="Decompression failed";
ShortString __export Autopatch_BaseBasePatchAlreadyInstalled="Current base Patch is already up-to-date.";

ShortString __export Autopatch_NewPatchAvailable="There is a new Patch available";
ShortString __export Autopatch_DownloadingArchiv="Downloading file......";
ShortString __export Autopatch_DownloadSuccessfull="Download successful";
ShortString __export Autopatch_DecompressData="Decompressing data";
ShortString __export Autopatch_DecompessionSuccessfull="Decompression complete";
ShortString __export Autopatch_DecompessionUnSuccessfull="Decompression failed";
ShortString __export Autopatch_BasePatchAlreadyInstalled="Current Patch is already up-to-date.";
ShortString __export Autopatch_Feet="****************************************************";
ShortString __export Autopatch_ConnectionFailed="Connection Failed";

// ###########################################################################
// Backup Messages
// ###########################################################################

ShortString __export Backup_Message001="Copying backup file : STATICS0.MUL ...";
ShortString __export Backup_Message001_Error001="ERROR: When copying the STATICS0.MUL an error occurred.";
ShortString __export Backup_Message001_Error002="ERROR: The STATICS0.MUL file has an incorrect size.";

ShortString __export Backup_Message002="Copying backup file : STAIDX0.MUL ...";
ShortString __export Backup_Message002_Error001="ERROR: When copying the STAIDX0.MUL an error occurred.";

ShortString __export Backup_Message003="Copying backup file : MAP0.MUL ...";
ShortString __export Backup_Message003_Error001="ERROR: When copying the MAP0.MUL an error occurred.";

ShortString __export Backup_Message004="Copying backup file : MULTI.IDX ...";
ShortString __export Backup_Message004_Error001="ERROR: When copying the MULTI.IDX an error occurred.";

ShortString __export Backup_Message005="Copying backup file : MULTI.MUL ...";
ShortString __export Backup_Message005_Error001="ERROR: When copying the MULTI.MUL an error occurred.";
ShortString __export Backup_Message005_Error002="ERROR: The MULTI.MUL file has an incorrect size.";

ShortString __export Backup_Message006="Copying backup file : VERDATA.MUL ...";
ShortString __export Backup_Message006_Error001="ERROR: When copying the VERDATA.MUL an error occurred.";

// Patch Messages (OSI)
ShortString __export Title_Patch="Installing Standard OSI Patch";

// Patch Messages (None OSI)
ShortString __export Title_PatchPart1="Installing Patch for ";
// Displaying Shardname
ShortString __export Title_PatchPart2=" (Version : ";
// Displaying Version
ShortString __export Title_PatchPart3=")";


// ###########################################################################
// Checking
// ###########################################################################
ShortString __export Statics_Checking="Checking for file(s)..... (Statics)";
ShortString __export Statics_AllocatingMemory="Allocating memory (~32 MB)";
ShortString __export Statics_StartPatching="Starting to patch (Statics) ...";
ShortString __export Statics_CopyBaseFile1="Copying Base STAIDX0.MUL ...";
ShortString __export Statics_CopyBaseFile1Error="ERROR: When copying the base STAIDX0.MUL an error occurred.";
ShortString __export Statics_CopyBaseFile2="Copying Base STATICS0.MUL ...";
ShortString __export Statics_CopyBaseFile2Error="ERROR: When copying the base STATICS0.MUL an error occurred.";
ShortString __export Statics_CopyFile1="Copying STAIDX0.MUL ...";
ShortString __export Statics_CopyFile1Error="ERROR: When copying the STAIDX0.MUL an error occurred.";
ShortString __export Statics_CopyFile2="Copying STATICS0.MUL ...";
ShortString __export Statics_CopyFile2Error="ERROR: When copying the STATICS0.MUL an error occurred.";
// Displaying Shardname
ShortString __export Statics_Alreadyinstalled=" Statics Files are already installed.";


// ###########################################################################
// Checking
// ###########################################################################

ShortString __export Map_Checking="Checking for file(s)..... (Map)";
ShortString __export Map_AllocatingMemory="Allocating memory ...";
ShortString __export Map_StartPatching="Starting to patch (Map) ...";

ShortString __export Map_PatchingMapPart1="Patching Map... (";
// Count from 1 to 4
ShortString __export Map_PatchingMapPart2="/4)";

ShortString __export Map_CopyBaseFile="Copying Base MAP0.MUL ...";
ShortString __export Map_CopyBaseFileError="ERROR: When copying the base MAP0.MUL an error occurred.";
ShortString __export Map_CopyFile="Copying MAP0.MUL ...";
ShortString __export Map_CopyFileError="ERROR: When copying the MAP0.MUL an error occurred.";
// Displaying Shardname
ShortString __export Map_Alreadyinstalled=" Map Files are already installed.";

// ###########################################################################
// Checking
// ###########################################################################

ShortString __export Multi_Checking="Checking for file(s)..... (Multi)";
ShortString __export Multi_StartPatching="Starting to patch (Multi) ....";
ShortString __export Multi_CopyBaseFile1="Copying Base MULTI.IDX ...";
ShortString __export Multi_CopyBaseFile1Error="ERROR: When copying the base MULTI.IDX an error occurred.";
ShortString __export Multi_CopyBaseFile2="Copying Base MULTI.MUL ...";
ShortString __export Multi_CopyBaseFile2Error="ERROR: When copying the base MULTI.MUL an error occurred.";
ShortString __export Multi_CopyFile1="Copying MULTI.IDX ...";
ShortString __export Multi_CopyFile1Error="ERROR: When copying the MULTI.IDX an error occurred.";
ShortString __export Multi_CopyFile2="Copying MULTI.MUL ...";
ShortString __export Multi_CopyFile2Error="ERROR: When copying the MULTI.MUL an error occurred.";
// Displaying Shardname
ShortString __export Multi_Alreadyinstalled=" Multi Files are already installed.";

// ###########################################################################
// Checking
// ###########################################################################
ShortString __export Verdata_Checking="Checking for file(s)..... (Verdata)";
ShortString __export Verdata_StartPatching="Starting to patch (Verdata) ....";
ShortString __export Verdata_CopyBaseFile="Copying Base VERDATA.MUL ...";
ShortString __export Verdata_CopyBaseFileError="ERROR: When copying the base VERDATA.MUL an error occurred.";
ShortString __export Verdata_CopyFile="Copying VERDATA.IDX ...";
ShortString __export Verdata_CopyFileError="ERROR: When copying the VERDATA.IDX an error occurred.";
ShortString __export Verdata_Alreadyinstalled=" Verdata File is already installed.";

// ###########################################################################
// Config
// ###########################################################################

ShortString __export Patch_WriteIPinLogincfg="Write IP to File : login.cfg";
ShortString __export Patch_WriteAccountinUOcfg="Write Account to File : uo.cfg";
ShortString __export Patch_WritePasswordinUOcfg="Write Password to File : uo.cfg";
ShortString __export Patch_PatchingSuccessfull="Patching Complete!";
ShortString __export Patch_StatingClient="Starting Client.....";
ShortString __export Patch_ClientNotFound="ERROR: Unable to find Client!";

// ###########################################################################
// Errors
// ###########################################################################

ShortString __export System_ProgramIsNotInTheUODirectory="ERROR: The program is not in the UO directory!";
ShortString __export System_TheUOClientMustClosed="ERROR: The UO Client must not be running!";

// ###########################################################################
// ConfigForm
// ###########################################################################

ShortString __export ConfigForm_TitleCaption="Configuration";
ShortString __export ConfigForm_AccountCaption="Accountname";
ShortString __export ConfigForm_PasswordCaption="Password";
ShortString __export ConfigForm_PasswordHintCaption="Note: The encoding of the password is NOT guaranteed!!!";
ShortString __export ConfigForm_ClientCaption="Client";
ShortString __export ConfigForm_PatchFileCaption="Patchfile";
ShortString __export ConfigForm_ShardnameCaption="Shardname";
ShortString __export ConfigForm_LocationCaption="Host,Port";
ShortString __export ConfigForm_RapairButtonCaption="Repair";
ShortString __export ConfigForm_NewButtonCaption="New";
ShortString __export ConfigForm_RemoveButtonCaption="Remove";
ShortString __export ConfigForm_ConnectionButtonCaption="Connect";
ShortString __export ConfigForm_CancelButtonCaption="Cancel";
ShortString __export ConfigForm_OKButtonCaption="OK";


// ###########################################################################
// ConnectionForm
// ###########################################################################
ShortString __export ConnectionForm_TitleCaption="Connection";
ShortString __export ConnectionForm_BoxCaption="Proxy";
ShortString __export ConnectionForm_CheckBoxCaption="UseProxy";
ShortString __export ConnectionForm_ProxyCaption="Proxy";
ShortString __export ConnectionForm_PortCaption="Port";
ShortString __export ConnectionForm_OKButtonCaption="OK";


// ###########################################################################
// RepairForm
// ###########################################################################
ShortString __export RepairForm_TitleCaption="Repair";
ShortString __export RepairForm_BoxCaption="Path for your Ultima Online CD";
ShortString __export RepairForm_RepairButtonCaption="Repair";
ShortString __export RepairForm_OKButtonCaption="Abort";
ShortString __export RepairForm_Message="This function repairs UOCM's backup directory. Approx. 100 MB of free diskspace is needed, on this partition.";

// ###########################################################################
// Repair Messages
// ###########################################################################

ShortString __export Repair_Message001="Copying File : STAIDX0.MUL ...";
ShortString __export Repair_Message001_Error001="ERROR: When copying the STAIDX0.MUL an error occurred.";
ShortString __export Repair_Message001_Error002="ERROR: File attribute could not be deleted.";
ShortString __export Repair_Message001_Error003="ERROR: The file could not be found at the specified location.";

ShortString __export Repair_Message002="Copying File : STATICS0.MUL ...";
ShortString __export Repair_Message002_Error001="ERROR: When copying the STATICS0.MUL an error occurred.";
ShortString __export Repair_Message002_Error002="ERROR: File attribute could not be deleted.";
ShortString __export Repair_Message002_Error003="ERROR: The file could not be found at the specified location.";

ShortString __export Repair_Message003="Copying File : MAP0.MUL ...";
ShortString __export Repair_Message003_Error001="ERROR: When copying the MAP0.MUL an error occurred.";
ShortString __export Repair_Message003_Error002="ERROR: File attribute could not be deleted.";
ShortString __export Repair_Message003_Error003="ERROR: The file could not be found at the specified location.";

ShortString __export Repair_Message004="Copying File : MULTI.IDX ...";
ShortString __export Repair_Message004_Error001="ERROR: When copying the MULTI.IDX an error occurred.";
ShortString __export Repair_Message004_Error002="ERROR: File attribute could not be deleted.";
ShortString __export Repair_Message004_Error003="ERROR: The file could not be found at the specified location.";

ShortString __export Repair_Message005="Copying File : MULTI.MUL ...";
ShortString __export Repair_Message005_Error001="ERROR: When copying the MULTI.MUL an error occurred.";
ShortString __export Repair_Message005_Error002="ERROR: File attribute could not be deleted.";
ShortString __export Repair_Message005_Error003="ERROR: The file could not be found at the specified location.";

ShortString __export Repair_Message006="Copying File : VERDATA.MUL ...";
ShortString __export Repair_Message006_Error001="ERROR: When copying the VERDATA.MUL an error occurred.";
ShortString __export Repair_Message006_Error002="ERROR: File attribute could not be deleted.";
ShortString __export Repair_Message006_Error003="ERROR: The file could not be found at the specified location.";

